//
//  ViewController.m
//  drawLineDemo
//
//  Created by duogaojituan on 16/9/29.
//  Copyright © 2016年 zhanghua0221. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

 @property (strong, nonatomic) UIImageView * imageView;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.imageView = [[UIImageView alloc]initWithFrame:CGRectMake(100,100, 200, 200)];
    
    
    self.view.backgroundColor = [UIColor orangeColor];
    UIGraphicsBeginImageContextWithOptions(CGSizeMake(200, 200), NO, 0);
    //1、获取bitmap上下文
    CGContextRef ctx = UIGraphicsGetCurrentContext();
    //2、绘图（画一个圆）
    CGContextAddEllipseInRect(ctx, CGRectMake(0, 0, 100, 100));
    //3、渲染
    CGContextStrokePath(ctx);
    //4、获取生成的图片
    UIImage * image = UIGraphicsGetImageFromCurrentImageContext();
    //5、显示生成的图片到 imageview
    self.imageView.image = image ;
    //6、保存会治好的图片到文件中
    //7、先将图片保存为二进制数据，然后再将图片写到文件中
    //8、第二个参数为保存的图片的格式
    //UIImageJPEGRepresentation(image, 1);
    NSData * data = UIImagePNGRepresentation(image);
    [data writeToFile:@"/Users/duogaojituan/Desktop/abc.png" atomically:YES];
    
    [self.view addSubview:self.imageView];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
